aboutsummaryrefslogtreecommitdiffstats
path: root/main/libxfce4menu/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/libxfce4menu/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/libxfce4menu/APKBUILD')
-rw-r--r--main/libxfce4menu/APKBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/main/libxfce4menu/APKBUILD b/main/libxfce4menu/APKBUILD
new file mode 100644
index 0000000000..0023f2d931
--- /dev/null
+++ b/main/libxfce4menu/APKBUILD
@@ -0,0 +1,25 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxfce4menu
+pkgver=4.6.1
+pkgrel=0
+pkgdesc="a freedesktop.org compliant menu implementation for Xfce"
+url="http://www.xfce.org/"
+license="GPL-2"
+depends=
+subpackages="$pkgname-dev $pkgname-doc"
+makedepends="libxfce4util-dev intltool pkgconfig gtk+-dev gettext-dev
+ libiconv-dev"
+source="http://mocha.xfce.org/archive/xfce-$pkgver/src/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --libexecdir=/usr/lib \
+ --localstatedir=/var \
+ --disable-static
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="5dc9343885c2c6f931318b2a1cdcc9db libxfce4menu-4.6.1.tar.bz2"